Bug 328952 - List of projects is empty in sessions plasma applet
Summary: List of projects is empty in sessions plasma applet
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Session support (show other bugs)
Version: git master
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 08:16 UTC by Sergey Vidyuk
Modified: 2013-12-30 11:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Vidyuk 2013-12-18 08:16:13 UTC
Commit http://quickgit.kde.org/?p=kdevplatform.git&a=commit&h=bf3c99b298b9c24c33c65d3e1acc64d43685c38b removes SessionPrettyContents key from a sessionrc file which is used to show session open projects in the org.kde.kdevelopsessions plasma datasource. This leads to an empty list of open projects in the kdevelop sessions plasma applet. This leads to empty item in the session list for session with empty name.

Reproducible: Always
Comment 1 Ivan Shapovalov 2013-12-18 13:15:19 UTC
Git commit 32e3eb65e94e5d11b091272bd4e9c35016ed9957 by Ivan Shapovalov.
Committed on 18/12/2013 at 13:09.
Pushed by shapovalov into branch 'master'.

Re-add "SessionPrettyContents" field in the sessionrc.

It is actually used (at least) in the org.kde.kdevelopsessions plasma
applet.
Reported by Sergey Vidyuk.

M  +13   -6    shell/session.cpp
M  +1    -1    shell/session.h

http://commits.kde.org/kdevplatform/32e3eb65e94e5d11b091272bd4e9c35016ed9957
Comment 2 Ivan Shapovalov 2013-12-18 13:18:43 UTC
Could you please pull and test? I do not run Plasma...
Comment 3 Sergey Vidyuk 2013-12-19 05:17:20 UTC
Your change actually modifies value format of the SessionPrettyContents key. It contains both session name and session projects now. Applet datasource splits session name with this key value and prints something like "KDE: KDE: kdevplatform, kdevelop" instead of "KDE: kdevplatform, kdevelop" so it still requires to modify applet code. I've made simple patch to fix this issue: https://git.reviewboard.kde.org/r/114535/
Comment 4 Kevin Funk 2013-12-30 11:17:26 UTC
Git commit 060369230db54c308061488e223cda6f25cd8505 by Kevin Funk, on behalf of Sergey Vidyuk.
Committed on 19/12/2013 at 05:18.
Pushed by kfunk into branch 'master'.

Init sessionString plasma datasource val properly

Kdevelop sessionrc content is changed and SessionPrettyContents contains
both seesion name and session content now. Update sessionString value
initialization and remove outdated code in the plasma applet datasource.

REVIEW: 114535

M  +5    -20   app/plasma/dataengine/kdevelopsessionsengine.cpp
M  +1    -4    app/plasma/dataengine/kdevelopsessionsengine.h

http://commits.kde.org/kdevelop/060369230db54c308061488e223cda6f25cd8505